Vue.component('follow-list', {
	template: '<ul class="followup-list">\
				<li v-for="(list,index) in followUpList" class="consultation-list-item" @click="viewDetail(list)">\
					<p class="follow-up-doctor"><span class="start-time pull-right">开始时间：{{list.createTime}}</span>随访医生：{{list.doctorName}}<span v-if="list.prescriptionCode" class="fu-tag">长处方</span></p>\
					<div class="follow-user-info">\
						<span class="follow-status" :data-status="list.status" desc="3进行2计划中1完成"></span>\
						<p class="act-type">方式/类型：{{list.followupTypeName}}{{list.followupClassName?"/"+list.followupClassName:""}}</p>\
						<p v-if="list.status==1" class="completion-time">完成时间：{{list.followupDate.substr(0,16)}}</p>\
						<p v-else class="completion-time">计划时间：{{list.followupPlanDate.substr(0,16)}}</p>\
					</div>\
				</li>\
			</ul>',
	data: function() {
		return {
			followUpList:[],
			curPage:1
		}
	},
	props:["followUpData"],
	methods: {
		viewDetail: function(list) {
//			if(list.status == 1){
				if(list.followupClass =="5" || list.followupClass =="6" ||list.followupClass =="7" ||list.followupClass =="8" ||list.followupClass =="9"){
					window.location.href = "../index.html?id="+list.id+"&type="+list.followupClass+"&isEdit=0"
				}else{
					top.layer.open({
				      	type: 2,
				      	maxmin: true,
				      	title:"随访详情",
				      	area: ['800px', '650px'],
				      	shadeClose: false,
						 content: '../../followup/html/lay_followUp_detail.html?id='+list.id,
						 end: function () {
							location.reload();
						}
				    });
				}
//			}else{
//				top.toastr.warning("请在手机上完成随访才能查看详情")
//			}	
		}
	},
	watch:{
		followUpData:function(val){
			this.followUpList=this.followUpData;
		}
	},
	mounted: function() {
		var divH = $("#tab-iframe",parent.document).height() - 75;
		$(".followup-list").slimScroll({ height: divH,color: '#666'});
	}
})